from django.urls import path, include
from rest_framework import routers
# from api import views
from api.views import usuario, auth, aplicacion, tipo, persona, comuna, region

router = routers.DefaultRouter()
router.register(r'aplicaciones', aplicacion.AplicacionViewSet)
router.register(r'usuarios', usuario.UsuarioViewSet)
router.register(r'personas', persona.PersonaViewSet)
router.register(r'tipos/persona', tipo.TipoTratamientoPersonaViewSet)
router.register(r'tipos/transporte', tipo.TipoTransporteViewSet)
router.register(r'tipos/dispositivo', tipo.TipoDispositivoViewSet)
router.register(r'tipos/paradero', tipo.TipoParaderoViewSet)
router.register(r'tipos/vehiculo', tipo.TipoVehiculoViewSet)
router.register(r'comunas', comuna.ComunaViewSet)
router.register(r'regiones', region.RegionViewSet)

urlpatterns = [
    path('', include(router.urls)),
    path('auth/', auth.jwt_login, name='auth'),
    # path('usuarios/', usuario.usuario_any),
]